summaryrefslogtreecommitdiff
path: root/httpsconnectd.sh.in
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@sbcglobal.net>2016-10-04 13:26:55 -0400
committerLuke Shumaker <lukeshu@sbcglobal.net>2016-10-04 13:26:55 -0400
commit4c15c8881087781b7611f4cf557389392889e1f1 (patch)
tree80103f968eb9d0581e77d4259a77bf2ac7dc78a5 /httpsconnectd.sh.in
parent6221fa4734eb95d3fd98421db4354d44f8cace8f (diff)
add an HTTPS version
It does it's own process management (because socat is stupid and won't let you pass an arbitrary socket to OPENSSL), instead of outsourcing it to systemd/inetd/whatever. And stunnel is too complicated.
Diffstat (limited to 'httpsconnectd.sh.in')
-rw-r--r--httpsconnectd.sh.in13
1 files changed, 13 insertions, 0 deletions
diff --git a/httpsconnectd.sh.in b/httpsconnectd.sh.in
new file mode 100644
index 0000000..3d1da77
--- /dev/null
+++ b/httpsconnectd.sh.in
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+# Copyright 2016 Luke Shumaker
+# License: WTFPLv2
+
+# Dependencies:
+# - bash
+# - socat (with OpenSSL support)
+# - httpconnectd
+
+set -e
+source @pkgconfdir@/https.conf
+IFS=,
+socat -d -d -d OPENSSL-LISTEN:"${port},${ssl_options[*]},reuseaddr,fork" EXEC:httpconnectd